#ifndef OCT_NETWORKING_H
#define OCT_NETWORKING_H

#include <sys/socket.h>

#define BUFFER_SIZE 1024

#define OCT_TYPE_SERVER 1
#define OCT_TYPE_CLIENT 2

#define OCT_DEFAULT_PORT "20000"

// Forward declarations
struct oct_network_client;
struct oct_network_server;


int oct_network_node_init(char* port);
int oct_network_node_deinit();
int oct_network_recv_msg();
int oct_network_send_msg();

#endif 
